StandardTenor (3.14.0 310 API)
Date: 2018-05-30

com.marketfactory.zerogc.api

## Enum StandardTenor

- java.lang.Object
- - java.lang.Enum<StandardTenor>
  - - com.marketfactory.zerogc.api.StandardTenor

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<StandardTenor>

      public enum StandardTenor
      extends java.lang.Enum<StandardTenor>

  Standard length of time used in forwards.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `_INVALID`
    `M1` One month.
    `M10` Ten months.
    `M11` Eleven months.
    `M15` Fifteen months.
    `M18` Eighteen months.
    `M2` Two months.
    `M21` Twenty-one months.
    `M3` Three months.
    `M4` Four months.
    `M5` Five months.
    `M6` Six months.
    `M7` Seven months.
    `M8` Eight months.
    `M9` Nine months.
    `NA` Not available
    `ON` Overnight.
    `SN` Spot next.
    `SP` Spot.
    `TN` Tomorrow next.
    `TOD` Today.
    `TOM` Tomorrow.
    `W1` One week.
    `W2` Two weeks.
    `W3` Three weeks.
    `Y1` One year.
    `Y2` Two years.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `val`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `get()`
    `static StandardTenor` | `get(byte value)`
    `static java.util.Collection<StandardTenor>` | `validValues()`
    `static StandardTenor` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StandardTenor[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NA

          public static final StandardTenor NA

      Not available

    - #### TOD

          public static final StandardTenor TOD

      Today.

    - #### TOM

          public static final StandardTenor TOM

      Tomorrow.

    - #### ON

          public static final StandardTenor ON

      Overnight.

    - #### TN

          public static final StandardTenor TN

      Tomorrow next.

    - #### SP

          public static final StandardTenor SP

      Spot.

    - #### SN

          public static final StandardTenor SN

      Spot next.

    - #### W1

          public static final StandardTenor W1

      One week.

    - #### W2

          public static final StandardTenor W2

      Two weeks.

    - #### W3

          public static final StandardTenor W3

      Three weeks.

    - #### M1

          public static final StandardTenor M1

      One month.

    - #### M2

          public static final StandardTenor M2

      Two months.

    - #### M3

          public static final StandardTenor M3

      Three months.

    - #### M4

          public static final StandardTenor M4

      Four months.

    - #### M5

          public static final StandardTenor M5

      Five months.

    - #### M6

          public static final StandardTenor M6

      Six months.

    - #### M7

          public static final StandardTenor M7

      Seven months.

    - #### M8

          public static final StandardTenor M8

      Eight months.

    - #### M9

          public static final StandardTenor M9

      Nine months.

    - #### M10

          public static final StandardTenor M10

      Ten months.

    - #### M11

          public static final StandardTenor M11

      Eleven months.

    - #### Y1

          public static final StandardTenor Y1

      One year.

    - #### M15

          public static final StandardTenor M15

      Fifteen months.

    - #### M18

          public static final StandardTenor M18

      Eighteen months.

    - #### M21

          public static final StandardTenor M21

      Twenty-one months.

    - #### Y2

          public static final StandardTenor Y2

      Two years.

    - #### _INVALID

          public static final StandardTenor _INVALID

  - ### Field Detail

    - #### val

          public byte val

  - ### Method Detail

    - #### values

          public static StandardTenor[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StandardTenor c : StandardTenor.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StandardTenor valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public byte get()

    - #### get

          public static StandardTenor get(byte value)

    - #### validValues

          public static java.util.Collection<StandardTenor> validValues()